import Promise from 'bluebird';
export interface IOptions {
    rememberDeep: number;
}
export interface IArchive {
    buffer: ArrayBuffer;
    fileName: string;
}
export interface IZipHandle {
    zip: Promise;
    fileName: string;
    buffer: ArrayBuffer;
    password: string;
}
export default class UnCompress {
    archives: any[];
    constructor();
    archiveOpenFile(file: File, password: string, options?: IOptions): Promise<{
        fileName: string;
        buffer: ArrayBuffer;
        entries: any;
        handle: any;
    }>;
    zipGetEntries(zipHandle: IZipHandle, options?: IOptions): any;
    zipOpen(fileName: string, password: string, buffer: ArrayBuffer, options?: IOptions): {
        fileName: string;
        buffer: ArrayBuffer;
        password: string;
        zip: any;
    };
    saneJoin(array: ArrayLike<Number>, separator: string): string;
    isZipFile(buffer: ArrayBuffer): boolean;
}
